import { IRepository } from "@/contexts/common/domain";
import { ICollection, IQueryCriteria, UniqueID } from "@shared/contexts";
import { Article } from "../entities";

export interface ICatalogRepository extends IRepository<any> {
  getById(id: UniqueID): Promise<Article | null>;
  findAll(queryCriteria?: IQueryCriteria): Promise<ICollection<Article>>;
}
